curl -X DELETE https://api.bouncy.ai/v1/groups/grp_abc123xyz \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/groups/grp_abc123xyz',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const result = await response.json();
console.log(`Ungrouped ${result.linksUngrouped} links`);
import requests
response = requests.delete(
'https://api.bouncy.ai/v1/groups/grp_abc123xyz',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
result = response.json()
print(f"Ungrouped {result['linksUngrouped']} links")
{
"id": "grp_abc123xyz",
"message": "Group deleted successfully",
"linksUngrouped": 15
}
{
"error": {
"code": "group_not_found",
"message": "Group not found"
}
}
Groups
Delete Group
Delete a group (links in the group are not deleted, only ungrouped)
DELETE
/
v1
/
groups
/
:groupId
curl -X DELETE https://api.bouncy.ai/v1/groups/grp_abc123xyz \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/groups/grp_abc123xyz',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const result = await response.json();
console.log(`Ungrouped ${result.linksUngrouped} links`);
import requests
response = requests.delete(
'https://api.bouncy.ai/v1/groups/grp_abc123xyz',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
result = response.json()
print(f"Ungrouped {result['linksUngrouped']} links")
{
"id": "grp_abc123xyz",
"message": "Group deleted successfully",
"linksUngrouped": 15
}
{
"error": {
"code": "group_not_found",
"message": "Group not found"
}
}
Request
Headers
Path Parameters
string
required
The group ID to deleteExample:
grp_abc123xyzDeleting a group does not delete the links in it. Links will simply be ungrouped and remain in your account.
Response
string
ID of the deleted group
string
Success message
number
Number of links that were ungrouped
curl -X DELETE https://api.bouncy.ai/v1/groups/grp_abc123xyz \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/groups/grp_abc123xyz',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const result = await response.json();
console.log(`Ungrouped ${result.linksUngrouped} links`);
import requests
response = requests.delete(
'https://api.bouncy.ai/v1/groups/grp_abc123xyz',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
result = response.json()
print(f"Ungrouped {result['linksUngrouped']} links")
{
"id": "grp_abc123xyz",
"message": "Group deleted successfully",
"linksUngrouped": 15
}
{
"error": {
"code": "group_not_found",
"message": "Group not found"
}
}
⌘I